org.springframework.cloud.dataflow.core

## Class TaskDefinition

- java.lang.Object
- - org.springframework.cloud.dataflow.core.TaskDefinition

-     @Entity
      public class TaskDefinition
      extends Object

  Author:
    Michael Minella, Mark Fisher, Glenn Renfro, Andy Clement

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TaskDefinition.TaskDefinitionBuilder` Builder object for `TaskDefinition`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.springframework.cloud.deployer.spi.core.AppDefinition` | `appDefinition` The underlying `AppDefinition`.
    `static String` | `SPRING_CLOUD_TASK_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskDefinition()`
    `TaskDefinition(String name, String dsl)` Construct a `TaskDefinition`
    `TaskDefinition(String name, String dsl, String description)` Construct a `TaskDefinition`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `ApplicationType` | `getApplicationType()`
    `String` | `getDescription()`
    `String` | `getDslText()`
    `String` | `getName()` Return the name from the `AppDefinition`.
    `Map<String,String>` | `getProperties()` Gets the app definition properties.
    `String` | `getRegisteredAppName()` Return the name of the registered app.
    `String` | `getTaskName()`
    `int` | `hashCode()`
    `void` | `initialize()`
    `protected void` | `setRegisteredAppName(String registeredAppName)` Set the registered app name.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SPRING_CLOUD_TASK_NAME

          public static final String SPRING_CLOUD_TASK_NAME

      See Also:
        Constant Field Values

    - #### appDefinition

          protected volatile org.springframework.cloud.deployer.spi.core.AppDefinition appDefinition

      The underlying `AppDefinition`.

  - ### Constructor Detail

    - #### TaskDefinition

          public TaskDefinition()

    - #### TaskDefinition

          public TaskDefinition(String name,
                                String dsl)

      Construct a `TaskDefinition`
      Parameters:
        `name` - task definition name
        `dsl` - task definition DSL expression

    - #### TaskDefinition

          public TaskDefinition(String name,
                                String dsl,
                                String description)

      Construct a `TaskDefinition`
      Parameters:
        `name` - task definition name
        `dsl` - task definition DSL expression
        `description` - description of the definition

  - ### Method Detail

    - #### getDescription

          public String getDescription()

    - #### getTaskName

          public String getTaskName()

    - #### getDslText

          public String getDslText()

    - #### initialize

          public void initialize()

    - #### toString

          public String toString()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

    - #### getName

          public String getName()

      Return the name from the `AppDefinition`.
      Returns:
        the name from the `AppDefinition`

    - #### getRegisteredAppName

          public String getRegisteredAppName()

      Return the name of the registered app.
      Returns:
        name of app in registry

    - #### setRegisteredAppName

          protected void setRegisteredAppName(String registeredAppName)

      Set the registered app name. Only intended for subclasses to invoke.
      Parameters:
        `registeredAppName` - the registered app name

    - #### getProperties

          public Map<String,String> getProperties()

      Gets the app definition properties. These properties are passed into a running app.
      Returns:
        the unmodifiable map of app properties

    - #### getApplicationType

          public ApplicationType getApplicationType()

      Returns:
        the `ApplicationType` of this application

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.